Skip to main content

Fetch Document Batches for Signature


Introduction​

This resource returns the document batches (document_batches) generated for an investor after the registration analysis is sent. Each batch groups the documents to be signed (registration form, qualified/professional investor terms, etc.) and exposes the status and signature method of each document.

Input / Output​

There is no request body. Optionally, you can filter by registration analysis via query param.

As output, the list of the investor's batches is returned.

Available on
ProfileHostRequired permission
Consultantconsultant-apiGranted by the integration team

Base URL for each host: Environments (Hosts).

Request​

ENDPOINT
/investor_registry/investor/{investor_key}/document_batches
METHOD
GET
STATUS
200

Query params​

FieldTypeDescriptionRequired
investor_analysis_keystringFilters the batches belonging to a specific registration analysisNo

Response​

Response Body
[
{
"document_batch_key": "UUID",
"status": "pending_signature",
"investor_analysis_key": "UUID",
"url": "https://docs.qitech.com.br/...",
"documents": [
{
"investor_document_key": "UUID",
"document_type": "legal_person_registry_form",
"status": "generated",
"signature_method": "certifiqi"
},
{
"investor_document_key": "UUID",
"document_type": "professional_investor_term",
"status": "generated",
"signature_method": "certifiqi"
}
]
}
]

Document Batch Status​

EnumeratorDescription
creating_documentsDocuments being generated
pending_signer_groupsWaiting for signer groups
send_to_signatureSent for signature
pending_signatureWaiting for signature
signedSigned
Signature details

For details of each signature in a specific batch, use GET /investor_registry/investor/{investor_key}/document_batch/{document_batch_key}/signature_details.

Fund adhesion terms

When the investor selected funds during registration (see Select Fund), the batch also includes document_type: "adhesion_term" for each approved adhesion and, when applicable, nonconformity_term — see Adhesion Status.

Errors​

StatusCodeWhen it happens
404IVR000008Investor not found

Authentication, permission and host errors: see API Errors.